summaryrefslogtreecommitdiff
path: root/liveusb/build.sh
diff options
context:
space:
mode:
authorYuval Adam <yuv.adm@gmail.com>2014-12-13 13:26:23 +0100
committerYuval Adam <yuv.adm@gmail.com>2014-12-13 13:26:23 +0100
commita836accc07c1c655272c02d02f26c872548ec7a8 (patch)
treec27b75b39828952c69a5e28c15cb7c1a6b287b93 /liveusb/build.sh
parentae1c0eaaf2d42d67fdfa73d9205603a3aaf04cbd (diff)
Fix archiso check
Diffstat (limited to 'liveusb/build.sh')
-rwxr-xr-xliveusb/build.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/liveusb/build.sh b/liveusb/build.sh
index 850e002..289f21c 100755
--- a/liveusb/build.sh
+++ b/liveusb/build.sh
@@ -111,6 +111,7 @@ make_iso() {
mkarchiso -v -w "${work_dir}" -D "${install_dir}" -L "${iso_label}" -o "${out_dir}" iso "${iso_name}-${arch}.iso"
}
+(pacman -Qq archiso > /dev/null) || (echo "This script requires archiso(-git) to be installed"; _usage 1)
if [[ ${EUID} -ne 0 ]]; then
echo "This script must be run as root."
_usage 1
@@ -119,11 +120,6 @@ if [[ ${arch} != x86_64 ]]; then
echo "This script needs to be run on x86_64"
_usage 1
fi
-if [[ $(pacman -Q archiso) -ne 0 ]]; then
- echo "This script requires archiso(-git) to be installed"
- _usage 1
-fi
-
while getopts 'th' arg; do
case "${arg}" in